Subject: [MMUSIC] RTCP in draft-ietf-mmusic-rfc2326bis-23

From: "Roni Even" <[email-masked]>
Date: Mon, 7 Jun 2010 12:03:01 +0300

Hi,

In Section 10.5 it says

" RTCP:  If RTP is used for media transport RTCP SHOULD be used."

Is there a case where RTCP is not used. RTCP is not optional according to
RFC 3550. Why is this a SHOULD and not a MUST

Also in section C.1.2 I saw the following text:

   o  The RTCP/UDP packets from the server to the client MUST be sent to
      the address and port given by the second address and port pair of
      the "dest_addr" parameter.  If no second pair is specified RTCP
      MUST NOT be sent.
 
   o  The RTCP/UDP packets from the client to the server MUST be sent to
      the address and port given by the second address and port pair of
      the "src_addr" parameter.  If no second pair is given RTCP MUST
      NOT be sent.

Does this mean that you suggest sending RTP without RTCP. I would expect the
same behavior as SDP m-line where if RTCP port is not specified it will be
the RTP port+1 or the same if RTP/RTCP mux are used.

Roni Even

---

From: "Martin Stiemerling" <[email-masked]>
Date: Tue, 29 Jun 2010 14:14:40 +0200

Hi Roni, all,

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Roni Even
> Sent: Monday, June 07, 2010 11:03 AM
> To: 'mmusic'
> Subject: [MMUSIC] RTCP in draft-ietf-mmusic-rfc2326bis-23
> 
> Hi,
> 
> 
> 
> In Section 10.5 it says
> 
> Is there a case where RTCP is not used. RTCP is not optional according
> to RFC 3550. Why is this a SHOULD and not a MUST

Is it not optional in terms of implementation or deployment? I couldn't see a statement in RFC 3550 that it is mandatory to use, while browsing RFC 3550. 

(I do not have the intention to initiate a fight about whether RTCP should be used at all or not!)

On the other hand, the statement suggest to use RTCP, but who can actually force people to use RTCP? 

That is the reason for "RTCP SHOULD be used".

Which is inline with the definition of "SHOULD" according to RFC 2119:
"3. SHOULD
This word, or the adjective "RECOMMENDED", mean that there may exist valid reasons in particular circumstances to ignore a particular item, but the full implications must be understood and carefully weighed before choosing a different course."

> Does this mean that you suggest sending RTP without RTCP. I would
> expect the same behavior as SDP m-line where if RTCP port is not
> specified it will be the RTP port+1 or the same if RTP/RTCP mux are
> used.

This is not suggesting sending RTP without RTCP.

However, RTSP 2.0 gives clear guidance to implementers and operational staff how situations are handled in RTSP if RTCP is not used (for whatever reason).

Kind regards,

  Martin

[email-masked]

NEC Laboratories Europe - Network Research Division
NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014